﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin.Master" AutoEventWireup="false" CodeBehind="EditInfo.aspx.cs" Inherits="CheckboxWeb.Users.EditInfo" %>
<%@ MasterType VirtualPath="~/Admin.Master" %>
<%@ Import Namespace="Checkbox.Web" %>
<%@ Register src="../Controls/Status/StatusControl.ascx" tagname="StatusControl" tagprefix="status" %>

<asp:Content ID="Content2" ContentPlaceHolderID="_pageContent" runat="server">
<script>
    var resizeIntervalId;
    var originalContentHeight;

    $(document).ready(function () {
        $(window).resize(function () {
            windowResizeHandler();
        });

        fixProfilePropertiesWidth();
        fixProfilePropertiesHeight();
        
        originalContentHeight = $('.profileContent').height();
    });

    function windowResizeHandler() {
        fixProfilePropertiesWidth();

        clearInterval(resizeIntervalId);
        resizeIntervalId = setInterval(fixProfilePropertiesHeight(), 100);
    }

    function fixProfilePropertiesHeight() {
        var formHeight = $('form').height();
        var headerHeight = $('#header').height();
        var frameHeigth = formHeight - 300 - headerHeight;
        var contentHeight = $('#properties').height();

        if (contentHeight < frameHeigth) {
            frameHeigth = contentHeight + 65;
        } 

        $('.profileFrame').css("height", frameHeigth + "px");
        clearInterval(resizeIntervalId);
    }
    
    function fixProfilePropertiesWidth() {
        var formWidth = $('form').width();
        $('.profilePanel').css("width", (formWidth - 300) + "px");
    }
</script>
    
    <div class="grid_12"><status:StatusControl ID="_statusControl" runat="server" /></div>
    <div class="grid_12">
        <div class="viewport">
            <div class="padding15">
                <div class="left padding15" class="loginPanel">
                    <asp:Panel ID="_passwordPanel" runat="server">
                        <ckbx:MultiLanguageLabel ID="_passwordTitle" runat="server" TextId="/pageText/users/editInfo.aspx/passwordTitle" CssClass="dialogSubTitle sectionTitle" />
                        <div class="formInput">
                            <p>
                                <ckbx:MultiLanguageLabel ID="_passwordLabel" runat="server" AssociatedControlID="_password" TextId="/pageText/users/editInfo.aspx/password" CssClass="loginInfoLabel" />
                            </p>
                            <asp:TextBox ID="_password" runat="server" TextMode="Password" CssClass="loginInfo" MaxLength="255" />
                            <div style="margin-top: 5px">
                                <asp:RequiredFieldValidator  ID="_passwordRequired" runat="server" ControlToValidate="_password" Display="Dynamic" ValidationGroup="Password" CssClass="error message" ><%= WebTextManager.GetText("/pageText/users/editInfo.aspx/passwordRequired")%></asp:RequiredFieldValidator>
                            </div>
                        </div>
                        <div class="formInput">
                            <p>
                                <ckbx:MultiLanguageLabel ID="_newPasswordLabel" runat="server" AssociatedControlID="_newPassword" TextId="/pageText/users/editInfo.aspx/newPassword" CssClass="loginInfoLabel" />
                            </p>
                            <asp:TextBox ID="_newPassword" runat="server" TextMode="Password" CssClass="loginInfo" MaxLength="255" />
                            <div style="margin-top: 5px">
                                <asp:RequiredFieldValidator ID="_newPasswordRequired" runat="server" ControlToValidate="_newPassword" Display="Dynamic" ValidationGroup="Password" CssClass="error message" ><%= WebTextManager.GetText("/pageText/users/editInfo.aspx/newPasswordRequired")%></asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ValidationGroup="UserInfo"  ID="_passwordLength" runat="server" Display="Dynamic" ControlToValidate="_password" CssClass="error message"  ValidationExpression="[\w\s]{1,255}"><%= WebTextManager.GetText("/pageText/users/editInfo.aspx/passwordLength") %></asp:RegularExpressionValidator>
                            </div>
                        </div>
                        <div class="formInput" style="padding-bottom: 5px;">
                            <p>
                                <ckbx:MultiLanguageLabel ID="_passwordConfirmLabel" runat="server" AssociatedControlID="_passwordConfirm" TextId="/pageText/users/editInfo.aspx/confirmPassword" CssClass="loginInfoLabel" />
                            </p>
                            <asp:TextBox ID="_passwordConfirm" runat="server" TextMode="Password" CssClass="loginInfo" MaxLength="255" /><ckbx:MultiLanguageLabel ID="_confirmPasswordError" runat="server" CssClass="error message" Visible="false" />
                            <div style="margin-top: 5px">
                                <asp:RequiredFieldValidator ID="_passwordConfirmRequired" runat="server" ControlToValidate="_passwordConfirm" Display="Dynamic" ValidationGroup="Password" CssClass="error message" ><%= WebTextManager.GetText("/pageText/users/editInfo.aspx/confirmPasswordRequired")%></asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="_compareValidator" runat="server" ControlToValidate="_passwordConfirm" ControlToCompare="_newPassword" Display="Dynamic" ValidationGroup="Password" CssClass="error message" ><%= WebTextManager.GetText("/pageText/users/editInfo.aspx/passwordMismatch")%></asp:CompareValidator>
                            </div>
                        </div>

                        <div style="margin-top: 30px;">
                            <btn:CheckboxButton ID="_passwordChangeButton" runat="server" TextID="/pageText/users/editInfo.aspx/changePasswordButton" CssClass="ckbxButton roundedCorners border999 shadow999 orangeButton" ValidationGroup="Password" CausesValidation="true" OnClick="ChangePasswordButtton_Click"/>
                        </div>
                        <div class="clear"></div>
                    </asp:Panel>
                </div>
                <div class="left padding15 profilePanel">
                    <asp:Panel ID="_profilePanel" runat="server">
                        <ckbx:MultiLanguageLabel ID="_profileTitle" runat="server" TextId="/pageText/users/editInfo.aspx/profileInfoTitle" CssClass="dialogSubTitle sectionTitle" />
                        <div class="profileFrame">
                        <div class="profileContent">
                            <div class="formInput" >
                                <p>
                                    <ckbx:MultiLanguageLabel ID="_emailLabel" runat="server" AssociatedControlID="_email" TextId="/pageText/users/editInfo.aspx/email" CssClass="loginInfoLabel" />
                                </p>
                                <asp:TextBox ID="_email" runat="server" CssClass="loginInfo fixed_300" MaxLength="255"/><asp:RequiredFieldValidator ID="_emailRequired" runat="server" ControlToValidate="_email" ValidationGroup="Profile" Display="Dynamic" CssClass="error message"  Enabled="false"><%= WebTextManager.GetText("/pageText/users/editInfo.aspx/emailRequired")%></asp:RequiredFieldValidator>
                                <ckbx:MultiLanguageLabel ID="_emailFormatInvalidLabel" runat="server" CssClass="error message" Visible="false" TextId="/pageText/users/editInfo.aspx/emailInvalid" />
                            </div>
                            <asp:ListView ID="_profileList" runat="server" OnItemDataBound="ProfileList_ItemDataBound" OnDataBound="ProfileList_DataBound">
                                <LayoutTemplate>
                                    <div id="properties">
                                        <asp:PlaceHolder runat="server" ID="itemPlaceholder"></asp:PlaceHolder>
                                    </div>
                                </LayoutTemplate>
                                <ItemTemplate>
                                    <div class="formInput">
                                        <p>
                                            <asp:Label ID="_propertyName" runat="server" Text="<%# Container.DataItem %>" CssClass="loginInfoLabel" AssociatedControlID="_propertyValue" />
                                        </p>
                                        <asp:TextBox ID="_propertyValue" runat="server" CssClass="loginInfo" /><br />
                                    </div>
                                </ItemTemplate>
                            </asp:ListView>
                        </div>
                        </div>
                        <div style="margin-top: 30px;">
                            <btn:CheckboxButton ID="_profileChangeButton" runat="server" TextID="/pageText/users/editInfo.aspx/changeProfileButton" CssClass="ckbxButton roundedCorners border999 shadow999 orangeButton" ValidationGroup="Profile" CausesValidation="true" OnClick="EditProfileButtton_Click"/>
                        </div>
                        <div class="clear"></div>
                    </asp:Panel>
                </div>
            </div>            
        </div>
    </div>
</asp:Content>
